GET /api/v202106/reportdistribution

Get all Report Distributions

GetReportDistributionsV202106 Permissions: DistributedReportsSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
baseReportInfo Report Name String equals not equals one of like not like not one of
enabled Report Distribution Enabled Boolean equals
reportDistributionName Report Distribution Name String equals not equals one of like not like not one of
reportSubscriptionScheduleTypeID ReportSubscriptionScheduleTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
userGroupName User Group Name String equals not equals one of like not like not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ReportDistributionDetailsResponse
Property Description Type
baseReport ReportChild
ReportChild properties
Property Description Type
description The report description string
exportFormats Supported export formats (EnergyCAP currently supports PDF, Word, Excel, Excel data only, Excel formatted, and CSV) ExportFormatChild[]
ExportFormatChild properties
Property Description Type
exportFormatInfo string
preferred boolean
isLandscape Indicates whether or not the report is rendered in landscape boolean
lastUpdated The last time this report was updated string (date-time)
reportCode The report code string
reportId The identifier of the report integer (int32)
reportInfo The report name string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
reportType ReportType
ReportType properties
Property Description Type
reportTypeCode The report type code string
reportTypeId The identifier of the report type integer (int32)
reportTypeInfo The report type name string
tags Tags describing features of the report TagChild[]
TagChild properties
Property Description Type
tagTypeId integer (int32)
tagTypeInfo string
values string[]
version The version of the report string
createdByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the report distribution was created string (date-time)
emailSettings ReportDistributionEmailSettings
ReportDistributionEmailSettings properties
Property Description Type
dayIndicator ReportSubscriptionDayIndicatorChild
ReportSubscriptionDayIndicatorChild properties
Property Description Type
dayIndicatorInfo Name of the day indicator Daily: None Weekly: One of Sunday to Saturday Monthly: One of 1 to 28 Quarterly: 1st day of month 1 of calendar quarter, 1st day of month 2 of calendar quarter, 1st day of month 3 of calendar quarter string
dayIndicatorValue Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 integer (int32)
emailMessage The body of the email string
emailSubject The subject line of the email string
onlySendIfData Indicates whether or not to email a report if it contains no data. When set to true, the subscribed report will not be emailed, if the report does not contain data. When set to false, if the requested report has no data, it will still be sent. boolean
recipientUserGroups The list of user groups that should receive the report UserGroupChild[]
UserGroupChild properties
Property Description Type
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
replyToEmail The email address the receiver should reply to string
reportFormat Format of the report (EnergyCAP currently supports PDF, Word, Excel, and CSV) string
scheduleType ReportSubscriptionScheduleTypeChild
ReportSubscriptionScheduleTypeChild properties
Property Description Type
reportSubscriptionScheduleTypeId The identifier of the subscription schedule type integer (int32)
reportSubscriptionScheduleTypeName The name of the subscription schedule type string
enabled Indicates if the report distribution is currently enabled boolean
lastRunDate Last time the report distribution was run string (date-time)
modifiedByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
nextRunDate Next time the report distribution will run string (date-time)
reportDistributionId The id of the report distribution integer (int32)
reportDistributionName The name of the report distribution string
specificReportId The id of the report being distributed integer (int32)
Example Response application/json
[
  {    "baseReport": {      "description": "string",      "exportFormats": [],      "isLandscape": false,      "lastUpdated": "2026-03-30",      "reportCode": "string",      "reportId": 1,      "reportInfo": "string",      "reportSource": "string",      "reportType": {},      "tags": [],      "version": "string"
    },    "createdByUser": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "emailSettings": {      "dayIndicator": {},      "emailMessage": "string",      "emailSubject": "string",      "onlySendIfData": false,      "recipientUserGroups": [],      "replyToEmail": "string",      "reportFormat": "string",      "scheduleType": {}
    },    "enabled": false,    "lastRunDate": "2026-03-30",    "modifiedByUser": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "nextRunDate": "2026-03-30",    "reportDistributionId": 1,    "reportDistributionName": "string",    "specificReportId": 1
  }
]